[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPCustomHashTable.HashTableSize

Size of the hash table

## Declaration

Source position: contnrs.pp line 385

`public property TFPCustomHashTable.HashTableSize : LongWord read FHashTableSize write SetHashTableSize;`

## Description

HashTableSize is the size of the hash table. It can be set, in which case it will be rounded to the nearest prime number suitable for RSHash.

## See also

TFPCustomHashTable.IsEmpty |  | Check if the hash table is empty.
TFPCustomHashTable.Count |  | Number of items in the hash table.
TFPCustomHashTable.AVGChainLen |  | Average chain length
TFPCustomHashTable.MaxChainLength |  | Maximum chain length
TFPCustomHashTable.VoidSlots |  | Number of empty slots in the hash table.
TFPCustomHashTable.Density |  | Number of filled slots

Documentation generated on: Feb 26 2014